Lançadas novas atualizações do kernel para o Ubuntu 17.10, 16.04 e 14.04

A Canonical lançou novas atualizações do kernel para o Ubuntu 17.10, 16.04 e 14.04! Confira!

A Canonical lançou novas atualizações do para o Ubuntu 0, e para corrigir até 13 vulnerabilidades de segurança. Confira os detalhes desse update.


Há poucos dias a Canonical lançou uma atualização de kernel para a série de sistemas operacionais Ubuntu 18.04 LTS (Bionic Beaver) para corrigir a vulnerabilidade de segurança recentemente revelada do Specter Variant 4 (CVE-2018-3639).
Lançadas novas atualizações do kernel para o Ubuntu 17.10, 16.04 e 14.04
Lançadas novas atualizações do kernel para o Ubuntu 17.10, 16.04 e 14.04

Agora, a Canonical lançou novas versões de kernel para o Ubuntu 17.10 (Artful Aardvark). 16.04 LTS (Xenial Xerus), e Ubuntu 14.04 LTS (Trusty Tahr) e seus derivados oficiais.

Como instalar o programa no Ubuntu e seus derivados

Além de abordar a vulnerabilidade Specter Variant 4 (CVE-2018-3639) no Ubuntu 17.10, Ubuntu 16.04 LTS e Ubuntu 14.04 LTS de 64 bits, as novas atualizações do kernel também corrigem vários outros problemas, incluindo um erro double-free (CVE -2017-17975) no driver USBTV007 do kernel Linux, bem como uma race condition (CVE-2017-18203) no componente Device Mapper.

Esse update também corrige um problema de loop infinito na implementação de madvise (2) do kernel do Linux (CVE-2017-18208), uma falha de substituição de buffer na implementação do NCPFS (CVE-2018-8822), uma race condition na implementação do F2FS (CVE-2017-18193), um estouro de buffer (CVE-2017-18222) no driver Hisilicon HNS Ethernet Device e uma vulnerabilidade de desreferenciamento de ponteiro nulo na implementação do protocolo DCCP(CVE-2018-1130).

Um erro double-free (CVE-2018-7480) foi resolvido também no subsistema de camada de bloco do kernel do Linux, junto com um vazamento de memória (CVE-2018-7757) no subsistema do driver SAS, uma race condition (CVE-2018-7995) no manipulador de verificação da máquina x86 e vários outros problemas em outros componentes, incluindo o subsistema netfilter, a implementação do protocolo SCTP, o subsistema netlink, o subsistema Xen, bem como a implementação do protocolo Bluetooth HIP.

Como esperado, a Canonical lançou o kernel HWE (Hardware Enablement) para sistemas Ubuntu 16.04.4 LTS (Xenial Xerus) do Ubuntu 17.10 (Artful Aardvark) e para o Ubuntu 12.04 ESM (Precise Pangolin) do Ubuntu 14.04 LTS (Trusty Tahr).

Uma do kernel do Linux também está disponível para o Ubuntu 17.10 para Raspberry Pi 2. No entanto, eles notaram o fato de que o Specter Variant 4 não pode ser totalmente corrigido apenas através de atualizações de software, pois também precisa de atualizações de firmware do microcode.

Todos os usuários são convidados a atualizar seus sistemas o mais rápido possível para o linux-image-4.13.0-43.48 no Ubuntu 17.10, linux-image-4.4.0-127.153 no Ubuntu 16.04 LTS, linux-image-3.13.0-149.199 no Ubuntu 14.04 LTS, linux-image-4.13.0-43.48~16.04.1 no Ubuntu 16.04.4 LTS, linux-image-3.13.0-149.199~precise1 no Ubuntu 12.04 ESM, linux-image-4.13.0-1020.21 no Ubuntu 17.10 for Rasperry Pi 2. Para atualizar seus sistemas, siga as instruções em https://wiki.ubuntu.com/Security/Upgrades.

O que está sendo falado no blog

Ajude a manter o Blog do Edivaldo - Faça uma doação

Se você gosta do conteúdo do Blog, você pode ajudar a manter o site simplesmente fazendo uma doação única, esporádica ou mensal, usando uma das opções abaixo:

Doação usando Paypal

Doação usando PagSeguro
Outras formas de ajudar a manter o Blog do Edivaldo


blog comments powered by Disqus